org.springframework.context

## Interface MessageSourceAware

- All Superinterfaces:
    Aware
  All Known Implementing Classes:
    ResponseStatusExceptionResolver

      public interface MessageSourceAware
      extends Aware

  Interface to be implemented by any object that wishes to be notified of the MessageSource (typically the ApplicationContext) that it runs in.

  Note that the MessageSource can usually also be passed on as bean reference (to arbitrary bean properties or constructor arguments), because it is defined as bean with name "messageSource" in the application context.

  Since:
    1.1.1
  Author:
    Juergen Hoeller, Chris Beams
  See Also:
    `ApplicationContextAware`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setMessageSource(MessageSource messageSource)` Set the MessageSource that this object runs in.

- - ### Method Detail

    - #### setMessageSource

          void setMessageSource(MessageSource messageSource)

      Set the MessageSource that this object runs in.

      Invoked after population of normal bean properties but before an init callback like InitializingBean's afterPropertiesSet or a custom init-method. Invoked before ApplicationContextAware's setApplicationContext.

      Parameters:
        `messageSource` - message sourceto be used by this object